<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.SchCollectRecordRetryLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.scheduling.management.SchCollectRecordRetryLog">
                    <id column="id" property="id"/>
                    <result column="collect_record_id" property="collectRecordId"/>
                    <result column="terminator_id" property="terminatorId"/>
                    <result column="collector_id" property="collectorId"/>
                    <result column="task_id" property="taskId"/>
                    <result column="task_name" property="taskName"/>
                    <result column="task_memo" property="taskMemo"/>
                    <result column="start_time" property="startTime"/>
                    <result column="end_time" property="endTime"/>
                    <result column="elapsed_time" property="elapsedTime"/>
                    <result column="task_detail_info" property="taskDetailInfo"/>
                    <result column="task_exec_state" property="taskExecState"/>
                    <result column="sub_task_exec_state" property="subTaskExecState"/>
                    <result column="last_task_error_msg" property="lastTaskErrorMsg"/>
                    <result column="create_time" property="createTime"/>
                    <result column="update_time" property="updateTime"/>
                    <result column="task_origin_json" property="taskOriginJson"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                id, collect_record_id, terminator_id, collector_id, task_id, task_name, task_memo, start_time, end_time, elapsed_time,task_detail_info, task_exec_state, sub_task_exec_state,last_task_error_msg, create_time, update_time,task_origin_json
            </sql>

</mapper>
